Next: Structure of the Documentation Up: Data Distributions and Software Previous: Array Descriptor for Out-core

# Design and Documentation of Argument Lists

As in LAPACK, the argument lists of all ScaLAPACK routines conform to a single set of conventions for their design and documentation.

Specifications of all ScaLAPACK driver and computational routines are given in Part ii of this users guide. These are derived from the specifications given in the leading comments in the code, but in Part ii the specifications for real and complex versions of each routine have been merged in order to save space.

- Structure of the Documentation
- Order of Arguments
- Option Arguments
- Problem Dimensions
- Workspace Issues
  - WORK Arrays
  - LWORK Query
  - LWORK WORK(1)
- Error Handling and the Diagnostic Argument INFO
- Alignment Restrictions